[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.Extract

Extract a object instance from the list

## Declaration

Source position: contnrs.pp line 308

`public function TFPHashObjectList.Extract(`
`Item: TObject`
`):TObject;`

## Arguments

`Item` |  | Object instance to be removed.

## Function result

The removed object instance or nil.

## Description

Extract removes the data object from the list, if it is in the list. It returns the object instance if it was removed from the list, Nil otherwise. The object is not freed from memory, regardless of the value of OwnsObjects.

Extract does a linear search, and is not very efficient.

## See also

TFPHashObjectList.Delete |  | Delete an object from the list.
TFPHashObjectList.Remove |  | Remove first occurrence of a object instance
TFPHashObjectList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014